Recent

Author Topic: Distro has depreciated qt5pas-dev how to build?  (Read 3161 times)

TheMouseAUS

  • Jr. Member
  • **
  • Posts: 52
Distro has depreciated qt5pas-dev how to build?
« on: April 14, 2024, 11:21:39 pm »
My distro decided to depreciate qt5pas-dev so I am now unable to build with qt5. I am trying to figure out where and how to build it for myself. Can someone point me in the right direction? Thanks

TheMouseAUS

  • Jr. Member
  • **
  • Posts: 52
Re: Distro has depreciated qt5pas-dev how to build?
« Reply #1 on: April 15, 2024, 04:57:06 am »
Ok I have been digging around and I have got Lazarus 3.2 to use libQt5Pas.so.1.2.15 to a point.

dogriz

  • Full Member
  • ***
  • Posts: 127
Re: Distro has depreciated qt5pas-dev how to build?
« Reply #2 on: April 15, 2024, 08:41:49 am »
In /lazarus/lcl/interfaces/qt5/cbindings/ you have README.TXT to help you to compile pascal Qt interface from source.
FPC 3.2.2
Lazarus 2.2.4
Debian x86_64, arm

dbannon

  • Hero Member
  • *****
  • Posts: 2847
    • tomboy-ng, a rewrite of the classic Tomboy
Re: Distro has depreciated qt5pas-dev how to build?
« Reply #3 on: April 15, 2024, 01:26:22 pm »
My distro decided to depreciate qt5pas-dev so I am now unable to build with qt5. I am trying to figure out where and how to build it for myself. Can someone point me in the right direction? Thanks

If you mean that your distro has libqt5pas but not libqt5pas-dev then its easy, in practice all the -dev library is is a symlink to the basename.so

eg -

Code: Pascal  [Select][+][-]
  1. dbannon@dell:~/Pascal/tomboy-ng/source$ ls -la /usr/lib/x86_64-linux-gnu/libQt5Pas*
  2. lrwxrwxrwx 1 root root      19 Sep  5  2023 /usr/lib/x86_64-linux-gnu/libQt5Pas.so -> libQt5Pas.so.1.2.15
  3. lrwxrwxrwx 1 root root      19 Sep  5  2023 /usr/lib/x86_64-linux-gnu/libQt5Pas.so.1 -> libQt5Pas.so.1.2.15
  4. lrwxrwxrwx 1 root root      19 Sep  5  2023 /usr/lib/x86_64-linux-gnu/libQt5Pas.so.1.2 -> libQt5Pas.so.1.2.15
  5. -rw-r--r-- 1 root root 2689976 Sep  5  2023 /usr/lib/x86_64-linux-gnu/libQt5Pas.so.1.2.15

Without the -dev package, you don't get the  libQt5Pas.so symlink, needed at link time. So, create it.

If you meant to say you cannot get the actual library, in this case, libQt5Pas.so.1.2.15 then its only a touch harder. As dogriz said, instructions in the source, its easy but a time consuming process so I have made available precompiled and packaged one at https://github.com/davidbannon/libqt5pas, there you will find debs and rpms. Also, just a plain tgz of the libarary and further instructions to put in in place on a system that does not use one of those packages. And you will find the scripts I use to build and package ....

Davo
Lazarus 3, Linux (and reluctantly Win10/11, OSX Monterey)
My Project - https://github.com/tomboy-notes/tomboy-ng and my github - https://github.com/davidbannon

TheMouseAUS

  • Jr. Member
  • **
  • Posts: 52
Re: Distro has depreciated qt5pas-dev how to build?
« Reply #4 on: April 16, 2024, 03:26:50 am »
Thanks for your help.

My distro just updated Lazarus from 2.2.6 to 3.2 and depreciated QT5pas at the same time but I thing the issue is deeper than that.

I actually used your package to start with but I was having issues so I thought I would build from scratch using the info in  /lazarus/lcl/interfaces/qt5/cbindings/ as suggested by dogriz but still had issues with things not opening correctly. I ended up creating a VM with Fedora and set that up (Lazarus 2.2.6) as I really need it working as I am currently in the middle of a Project.

Errors both with packaged libQt5Pas and built one :-
I use IpHtmlPanel in my project and IpHtmlPanel.Scroll(hsaEnd) but it errors on unable to find hsaEnd (i know it exists as I checked iphtml.pas in the turbopower_ipro folder. Project also complains that it cannot find IpHtml (2.2.6 would do that sometimes as well) so I thought I would add via the Poject Inspector just to see what would happen and I got "Unable to create KIO worker. Can not create a socket for launching a KIO worker for protocol 'file' " so I gave up as i dont have time ATM to deal with this.

These issues were also present when I compiled the IDE to use QT6 and attempted to compile the project using QT6.

My distro decided to depreciate qt5pas-dev so I am now unable to build with qt5. I am trying to figure out where and how to build it for myself. Can someone point me in the right direction? Thanks

If you mean that your distro has libqt5pas but not libqt5pas-dev then its easy, in practice all the -dev library is is a symlink to the basename.so

eg -

Code: Pascal  [Select][+][-]
  1. dbannon@dell:~/Pascal/tomboy-ng/source$ ls -la /usr/lib/x86_64-linux-gnu/libQt5Pas*
  2. lrwxrwxrwx 1 root root      19 Sep  5  2023 /usr/lib/x86_64-linux-gnu/libQt5Pas.so -> libQt5Pas.so.1.2.15
  3. lrwxrwxrwx 1 root root      19 Sep  5  2023 /usr/lib/x86_64-linux-gnu/libQt5Pas.so.1 -> libQt5Pas.so.1.2.15
  4. lrwxrwxrwx 1 root root      19 Sep  5  2023 /usr/lib/x86_64-linux-gnu/libQt5Pas.so.1.2 -> libQt5Pas.so.1.2.15
  5. -rw-r--r-- 1 root root 2689976 Sep  5  2023 /usr/lib/x86_64-linux-gnu/libQt5Pas.so.1.2.15

Without the -dev package, you don't get the  libQt5Pas.so symlink, needed at link time. So, create it.

If you meant to say you cannot get the actual library, in this case, libQt5Pas.so.1.2.15 then its only a touch harder. As dogriz said, instructions in the source, its easy but a time consuming process so I have made available precompiled and packaged one at https://github.com/davidbannon/libqt5pas, there you will find debs and rpms. Also, just a plain tgz of the libarary and further instructions to put in in place on a system that does not use one of those packages. And you will find the scripts I use to build and package ....

Davo

« Last Edit: April 16, 2024, 03:28:25 am by TheMouseAUS »

dbannon

  • Hero Member
  • *****
  • Posts: 2847
    • tomboy-ng, a rewrite of the classic Tomboy
Re: Distro has depreciated qt5pas-dev how to build?
« Reply #5 on: April 16, 2024, 06:30:51 am »
While I am not familiar with  IpHtmlPanel it does not appear to be anything to do with Qt5 or the widget set. I suggest you may be barking up the wrong tree.

You could test by trying to build a GTK2 version of your project, if also errors, then the issue is not widget set related.

Sounds like you are transitioning between Lazarus 2.2.6 and 3.2, be more likely there has been some change there IMHO. Have you checked the 3.2 changes list ?

EDIT : https://wiki.freepascal.org/Lazarus_3.0_release_notes#TurboPower_ipro

Davo
« Last Edit: April 16, 2024, 06:33:39 am by dbannon »
Lazarus 3, Linux (and reluctantly Win10/11, OSX Monterey)
My Project - https://github.com/tomboy-notes/tomboy-ng and my github - https://github.com/davidbannon

cdbc

  • Hero Member
  • *****
  • Posts: 1160
    • http://www.cdbc.dk
Re: Distro has depreciated qt5pas-dev how to build?
« Reply #6 on: April 16, 2024, 07:39:45 am »
Hi
Regarding KIO-Worker-stuff, here's a quote from zeljko:
Quote
I've found where is problem !
IDE options -> Window

Uncheck all checkboxes which caption starts with "IDE title...".
Now save, try to open Open or Save dialog from IDE under KDE.
It is something about changing x11 window title (but that's what Qt does, not LCL)   >:(
There's even bug somewhere which was opened by Alexey Torgashin about changing window titles under x11.
Maybe it'll help you, as it did me...
The whole thread is here: https://forum.lazarus.freepascal.org/index.php/topic,66063.15.html
Regards Benny
If it ain't broke, don't fix it ;)
PCLinuxOS(rolling release) 64bit -> KDE5 -> FPC 3.2.2 -> Lazarus 2.2.6 up until Jan 2024 from then on it's: KDE5/QT5 -> FPC 3.3.1 -> Lazarus 3.0

TheMouseAUS

  • Jr. Member
  • **
  • Posts: 52
Re: Distro has depreciated qt5pas-dev how to build?
« Reply #7 on: April 16, 2024, 11:11:03 am »
My bad that will be the issue for sure. I think that can be the downsides when a distro updates packages and we dont see the release notes that go along with it. Thanks for the ifo. Will try to remember to look for this next update :-)

While I am not familiar with  IpHtmlPanel it does not appear to be anything to do with Qt5 or the widget set. I suggest you may be barking up the wrong tree.

You could test by trying to build a GTK2 version of your project, if also errors, then the issue is not widget set related.

Sounds like you are transitioning between Lazarus 2.2.6 and 3.2, be more likely there has been some change there IMHO. Have you checked the 3.2 changes list ?

EDIT : https://wiki.freepascal.org/Lazarus_3.0_release_notes#TurboPower_ipro

Davo

TheMouseAUS

  • Jr. Member
  • **
  • Posts: 52
Re: Distro has depreciated qt5pas-dev how to build?
« Reply #8 on: April 16, 2024, 11:12:25 am »
Thanks for the info. I got too focused on libQt5Pas thinking there was an incompatibility and should of been checking the forum for similar errors. Thank you

Hi
Regarding KIO-Worker-stuff, here's a quote from zeljko:
Quote
I've found where is problem !
IDE options -> Window

Uncheck all checkboxes which caption starts with "IDE title...".
Now save, try to open Open or Save dialog from IDE under KDE.
It is something about changing x11 window title (but that's what Qt does, not LCL)   >:(
There's even bug somewhere which was opened by Alexey Torgashin about changing window titles under x11.
Maybe it'll help you, as it did me...
The whole thread is here: https://forum.lazarus.freepascal.org/index.php/topic,66063.15.html
Regards Benny

 

TinyPortal © 2005-2018